/*********************************************************************
 * Job Ticket API (JTAPI)                                            
 *                                                                   
 * Copyright (c) 2003 International Business Machines Corp.          
 * Copyright (c) 2003 Free Standards Group.          
 *                                                                    
 *                    Common Public License - v 1.0 
 * THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON 
 * PUBLIC LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION 
 * OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.   
 *
 * The Common Public License in its entirety is located in 
 * jtapi_cpl.h and applies to the contents of this file. 
 *********************************************************************/

#ifndef JTAPI_DOCUMENT_H
#define JTAPI_DOCUMENT_H

#include <jtapi.h>

/* Constant to use for the type of this jtapi object */
#define JTAPI_DOCUMENT_TYPE          "JTAPI_DOCUMENT"

/************************************************************
 * Document attributes
 ***********************************************************/
#define DOCUMENT_URI                 "document-uri"

/************************************************************
 * newDocument - Creates a Document object using the provided
 * URI. 
 *
 * param jtapi_object_t* document - Pointer to the new 
 *      document to be created
 * param char* uri - URI of the document or NULL if no data 
 *      file is to be associated with the job ticket
 *
 * return jtapi_status_t
 ***********************************************************/
jtapi_status_t newDocument(jtapi_object_t* document,
                           char* uri);

#endif /* JTAPI_DOCUMENT_H */
